Option Strict Off
Option Explicit On
Module Module20
    Private Declare Function ECF_Sangria Lib "CONVECF.DLL" (ByVal Valor As String) As Integer
    Private Declare Function ECF_Suprimento Lib "CONVECF.DLL" (ByVal Valor As String, ByVal FormaPag As String) As Integer
    Private Declare Function ECF_AbreRecebimentoNaoFiscalMFD Lib "CONVECF.DLL" (ByVal CNPJ As String, ByVal Nome As String, ByVal Endereco As String) As Integer
    Private Declare Function ECF_EfetuaRecebimentoNaoFiscalMFD Lib "CONVECF.DLL" (ByVal IndiceTotal As String, ByVal ValorReceb As String) As Integer
    Private Declare Function ECF_TotalizaRecebimentoMFD Lib "CONVECF.DLL" () As Integer
    Private Declare Function ECF_EfetuaFormaPagamentoMFD Lib "CONVECF.DLL" (ByVal FormaPag As String, ByVal ValorFPag As String, ByVal Parcelas As String, ByVal NomeFPag As String) As Integer
    Private Declare Function ECF_FechaRecebimentoNaoFiscalMFD Lib "CONVECF.DLL" (ByVal Mensagem As String) As Integer
    Private Declare Function ECF_RecebimentoNaoFiscal Lib "CONVECF.DLL" (ByVal IndiceTotal As String, ByVal ValorReceb As String, ByVal FormaPag As String) As Integer
	
	
	Function SaidaDeCaixa_Sangria() As Object
		Dim retorno As Object

        Form1.List1.Items.Clear()
        retorno = ECF_Sangria("00000000010000")
        Form1.List1.Items.Add(" 'ECF_Sangria' - Status: " & retorno)

    End Function

    Function EntradaSuprimentos() As Object
        Dim retorno As Object

        Form1.List1.Items.Clear()
        retorno = ECF_Suprimento("00000000010000", "DINHEIRO")
        Form1.List1.Items.Add(" 'ECF_Suprimento' - Status: " & retorno)

    End Function


    Function RecebimentosNaoFiscais() As Object
        Dim retorno As Object

        Form1.List1.Items.Clear()
        retorno = ECF_RecebimentoNaoFiscal("01", "00000000010000", "CARTÃO")
        Form1.List1.Items.Add(" 'ECF_RecebimentoNaoFiscal' - Status: " & retorno)

    End Function

    Function CupomNaoFiscalSaidaDeCaixa() As Object
        Dim retorno As Object
        '''''' Abrir Não Fiscal''''''

        Form1.List1.Items.Clear()
        retorno = ECF_AbreRecebimentoNaoFiscalMFD("11.111.111/1111-11", "Sweda Informática Ltda", "Rua Dona Brígida,713")
        Form1.List1.Items.Add(" 'ECF_AbreRecebimentoNaoFiscalMFD' - Status: " & retorno)


        '''''  Sangria ou Recebimento''''''''

        retorno = ECF_EfetuaRecebimentoNaoFiscalMFD("03", "00000000010000")
        Form1.List1.Items.Add(" 'ECF_EfetuaRecebimentoNaoFiscalMFD' - Status: " & retorno)


        ''''''''''Fechar ''''''''''

        retorno = ECF_FechaRecebimentoNaoFiscalMFD(" Volte sempre!!!!")
        Form1.List1.Items.Add(" 'ECF_FechaRecebimentoNaoFiscalMFD' - Status: " & retorno)

    End Function
    Function CupomNaoFiscal() As Object
        Dim retorno As Object

        Form1.List1.Items.Clear()
        '''''' Abrir Não Fiscal''''''

        retorno = ECF_AbreRecebimentoNaoFiscalMFD("11.111.111/1111-11", "Sweda Informática Ltda", "Rua Dona Brígida,713")
        Form1.List1.Items.Add(" 'ECF_AbreRecebimentoNaoFiscalMFD' - Status: " & retorno)


        ''''' recebimento ou Sangria ''''''''

        retorno = ECF_EfetuaRecebimentoNaoFiscalMFD("01", "00000000010000")
        Form1.List1.Items.Add(" 'ECF_EfetuaRecebimentoNaoFiscalMFD' - Status: " & retorno)

        '''''''''totalizar''''''''

        retorno = ECF_TotalizaRecebimentoMFD
        Form1.List1.Items.Add(" 'ECF_TotalizaRecebimentoMFD' - Status: " & retorno)


        '''''' forma de pagamento '''''''

        retorno = ECF_EfetuaFormaPagamentoMFD("CHEQUE", "100,00", "3", "Compra parcelada em 3 meses")
        Form1.List1.Items.Add(" 'ECF_EfetuaFormaPagamentoMFD' - Status: " & retorno)


        ''''''''''Fechar ''''''''''

        retorno = ECF_FechaRecebimentoNaoFiscalMFD(" Volte sempre!!!!")
        Form1.List1.Items.Add(" 'ECF_FechaRecebimentoNaoFiscalMFD' - Status: " & retorno)

    End Function
End Module